Share a payment link for a quote.
curl --request POST \
--url https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share \
--header 'Content-Type: application/json' \
--data '
{
"name": "architecto",
"email": "gbailey@example.net",
"redeemerId": 16,
"pointsApplied": "architecto",
"commissionApplied": "architecto"
}
'import requests
url = "https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share"
payload = {
"name": "architecto",
"email": "gbailey@example.net",
"redeemerId": 16,
"pointsApplied": "architecto",
"commissionApplied": "architecto"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'architecto',
email: 'gbailey@example.net',
redeemerId: 16,
pointsApplied: 'architecto',
commissionApplied: 'architecto'
})
};
fetch('https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'architecto',
'email' => 'gbailey@example.net',
'redeemerId' => 16,
'pointsApplied' => 'architecto',
'commissionApplied' => 'architecto'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share"
payload := strings.NewReader("{\n \"name\": \"architecto\",\n \"email\": \"gbailey@example.net\",\n \"redeemerId\": 16,\n \"pointsApplied\": \"architecto\",\n \"commissionApplied\": \"architecto\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"architecto\",\n \"email\": \"gbailey@example.net\",\n \"redeemerId\": 16,\n \"pointsApplied\": \"architecto\",\n \"commissionApplied\": \"architecto\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"architecto\",\n \"email\": \"gbailey@example.net\",\n \"redeemerId\": 16,\n \"pointsApplied\": \"architecto\",\n \"commissionApplied\": \"architecto\"\n}"
response = http.request(request)
puts response.read_bodyShared Payments
Share a payment link for a quote.
Creates or updates a shared payment record and sends the payment link to the specified recipient via email. Can use an existing redeemer or create a new recipient with name/email.
POST
/
api
/
quotes
/
{quoteId}
/
payment
/
share
Share a payment link for a quote.
curl --request POST \
--url https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share \
--header 'Content-Type: application/json' \
--data '
{
"name": "architecto",
"email": "gbailey@example.net",
"redeemerId": 16,
"pointsApplied": "architecto",
"commissionApplied": "architecto"
}
'import requests
url = "https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share"
payload = {
"name": "architecto",
"email": "gbailey@example.net",
"redeemerId": 16,
"pointsApplied": "architecto",
"commissionApplied": "architecto"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'architecto',
email: 'gbailey@example.net',
redeemerId: 16,
pointsApplied: 'architecto',
commissionApplied: 'architecto'
})
};
fetch('https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'architecto',
'email' => 'gbailey@example.net',
'redeemerId' => 16,
'pointsApplied' => 'architecto',
'commissionApplied' => 'architecto'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share"
payload := strings.NewReader("{\n \"name\": \"architecto\",\n \"email\": \"gbailey@example.net\",\n \"redeemerId\": 16,\n \"pointsApplied\": \"architecto\",\n \"commissionApplied\": \"architecto\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"architecto\",\n \"email\": \"gbailey@example.net\",\n \"redeemerId\": 16,\n \"pointsApplied\": \"architecto\",\n \"commissionApplied\": \"architecto\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://confirmation.freelancetravel.com/api/quotes/{quoteId}/payment/share")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"architecto\",\n \"email\": \"gbailey@example.net\",\n \"redeemerId\": 16,\n \"pointsApplied\": \"architecto\",\n \"commissionApplied\": \"architecto\"\n}"
response = http.request(request)
puts response.read_bodyPath Parameters
Query Parameters
Whether to create a new recipient (requires name/email)
Example:
false
Body
application/json
Required if isNew. Recipient's full name
Example:
"architecto"
Required if isNew. Recipient's email address
Example:
"gbailey@example.net"
Required if not isNew. ID of existing redeemer
Example:
16
Points to apply to the order
Example:
"architecto"
Commission to apply to the order
Example:
"architecto"
Response
200
Success